MINOVAES - PRODUCT - Feature #1739

List Get Data "My Staff" Bl Dashboard - Attendance
10/24/2022 12:02 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 10/24/2022
Priority: Urgent Due date:

Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
Description

Dear Pak Yusuf,

Berikut list table dan field untuk get data bagian Attendance tab Time Data.
Attendance This Past Year

® On Time D Late Check In @ Early Check Out | @ Alpha

On Time

1. Cek di PHRPAQ025, EmployeelD tersebut WorkScheduleType nya apa.

2. Ke PHRTMWSGEN, cek WorkScheduleType yang terbaca di No 1 DayType nya apa.

3. Ke PHRTMDAYTYP, cek DayType yang terbaca di No 2 StartTime nya jam berapa.

4. Bandingkan StartTime di PHRPAQ0019 dengan yang terbaca di No 3. StartTime di PHRPAQ019 lebih awal/kecil dr StartTime di
PHRTMDAYTYP.

Late Check In

1. Cek di PHRPAQ025, EmployeelD tersebut WorkScheduleType nya apa.

2. Ke PHRTMWSGEN, cek WorkScheduleType yang terbaca di No 1 DayType nya apa.

3. Ke PHRTMDAYTYP, cek DayType yang terbaca di No 2 StartTime nya jam berapa.

4. Bandingkan StartTime di PHRPA0019 dengan yang terbaca di No 3. StartTime di PHRPA0019 lebih besar dr StartTime di
PHRTMDAYTYP.

Early Check Out

1. Cek di PHRPAQ025, EmployeelD tersebut WorkScheduleType nya apa.

2. Ke PHRTMWSGEN, cek WorkScheduleType yang terbaca di No 1 DayType nya apa.

3. Ke PHRTMDAYTYP, cek DayType yang terbaca di No 2 EndTime nya jam berapa.

4. Bandingkan EndTime di PHRPAO0019 dengan yang terbaca di No 3. EndTime di PHRPAOQ019 lebih awal/kecil dr EndTime di
PHRTMDAYTYP.

Alpha

. Cek di PHRPAO125, DayType nya apa. (note: Jika di PHRPAO0125 tidak ada data EmployeelD tersebut maka skip no 2 dan 3)

. Cek di PHRTMDAYTYP untuk DayType yang terbaca di No 1 harus Flag WORK.

. Cek di PHRPA0018 dan PHRPA0019 yang tidak ada datanya di tgl2 yang Flag WORK dinyatakan Alpha.

. Cek di PHRPA0025 WorkScheduleType nya apa.

. Cek di PHRTMDAYTYP untuk DayType yang terbaca di No 4 harus Flag WORK.

. Ke WSCAL untuk hari dengan DayType yang didapatkan di no 5, cek datanya ada atau tidak di PHRPA0018 dan PHRPAQ019.
Kalau tidak ada maka dinyatakan Alpha.

Port: http://remote.minovais.com:31133/
DB: remote.minovais.com,1442 | MinovaES_Product_2021

Port: http://demo.minovais.com:61124/
DB: 45.251.75.66 | MinovaES_Demo

Terima kasih.

History

#1 - 10/24/2022 12:02 PM - Fiona Avangeline Jonathan
- File clipboard-202210241130-abjv0.png added

#2 - 10/24/2022 12:02 PM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#3 - 12/20/2022 09:38 AM - Fiona Avangeline Jonathan

- Assignee changed from Saswanto Tampan to shofwan shiddiq

#4 - 01/09/2023 05:20 PM - shofwan shiddiq

- Status changed from Assigned to Developing

#5 - 04/14/2023 10:49 AM - shofwan shiddiq
- Status changed from Developing to QA Test

- Assignee changed from shofwan shiddiq to Fiona Avangeline Jonathan

Dear Fiona, Chart Attendance sudah dibuat. silahkan di testing

SP: MSSTIMEDATA

#6 - 04/17/2023 03:58 PM - Fiona Avangeline Jonathan
- File clipboard-202304171558-szzlt.png added

On Time

WIN-PHETIO259)H...dbo.PHRTMDAYTYP X

StartDate EndDate DayType DayTypeDescri.. Flag StartTime EndTime
20160101 99991231 OFF OFF FREE NULL MWULL
20160101 49991231 PHO1 Holiday FREE NULL MULL
20160101 99991231 PHO2 Special Holiday ~ FREE NULL MWULL
20160701 99991231 RMD1 Ramadhan WORK 0800 1600
20160101 49991231 SDAY Suppert WD OB WORK 0&00 1500
20160101 99991231 SHIFT1 Shifting1 WORK 0700 1300
20160101 99991231 SHIFT2 Shifting2 WORK 1500 2200
20160101 99991231 SHIFT3 Shifting3 WORK 2200 0700
20160101 49991231 SWDD Support WD Dri... WORK 0700 1600

3 20160101 99991231 WDAY IWorking Day WORK 0800 1700 I
N NULL MULL NULL NULL MNULL NULL MULL

#7 - 04/18/2023 10:06 AM - Fiona Avangeline Jonathan
- File clipboard-202304181006-gwb5ig.png added
- Status changed from QA Test to Closed

Done, terima kasih.

03/15/2025

2/3



http://remote.minovais.com:31133/
http://demo.minovais.com:61124/

Attendance

24

39

@ OnTime 7 LateChackin T EarlyCheckOut

Files

Alpha

clipboard-202210241130-abjv0.png
clipboard-202304171558-szzlt.png
clipboard-202304181006-gw5ig.png

03/15/2025

19.6 KB
24.9 KB
12.9 KB

10/24/2022
04/17/2023
04/18/2023

Fiona Avangeline Jonathan
Fiona Avangeline Jonathan

Fiona Avangeline Jonathan

3/3


http://www.tcpdf.org

